Package com.smartgwt.client.widgets.events

# Class BrowserEvent<H extends EventHandler>

java.lang.Object
com.google.web.bindery.event.shared.Event<H>
com.google.gwt.event.shared.GwtEvent<H>
com.smartgwt.client.event.AbstractSmartEvent<H>
com.smartgwt.client.widgets.events.BrowserEvent<H>

Direct Known Subclasses:
  `AceEditorChangedEvent`, `AddTabClickedEvent`, `AddTabClickEvent`, `ApplyClickEvent`, `ApplyClickEvent`, `AsyncValidationReplyEvent`, `BackgroundClickEvent`, `BackgroundMouseDownEvent`, `BackgroundMouseUpEvent`, `BeforeCommitEvent`, `BodyKeyPressEvent`, `ButtonClickEvent`, `CalendarEventAdded`, `CalendarEventChangedEvent`, `CalendarEventClick`, `CalendarEventRemoveClick`, `CalendarEventRemoved`, `CancelClickEvent`, `CancelClickEvent`, `CellSavedEvent`, `CellSelectionChangedEvent`, `ChangedEvent`, `ChartBackgroundDrawnEvent`, `ChartDrawnEvent`, `ClearEvent`, `ClickEvent`, `CloseClickEvent`, `ColorChangedEvent`, `ColorPickedEvent`, `ColorSelectedEvent`, `ColorUpdatedEvent`, `ContentLoadedEvent`, `CriteriaChangedEvent`, `CriteriaChangedEvent`, `CurrentViewChangedEvent`, `DataArrivedEvent`, `DataArrivedEvent`, `DataArrivedEvent`, `DataChangedEvent`, `DataChangedEvent`, `DataChangedEvent`, `DataLabelClickEvent`, `DataLabelHoverEvent`, `DateChangedEvent`, `DateFieldClickEvent`, `DayBodyClickEvent`, `DayHeaderClickEvent`, `DoubleClickEvent`, `DownClickEvent`, `DragCompleteEvent`, `DragMoveEvent`, `DragRepositionMoveEvent`, `DragRepositionStartEvent`, `DragRepositionStopEvent`, `DragResizeMoveEvent`, `DragResizeStartEvent`, `DragResizeStopEvent`, `DragStartEvent`, `DragStopEvent`, `DrawAreaChangedEvent`, `DrawEndEvent`, `DrawStartEvent`, `DropCompleteEvent`, `DropEvent`, `DropMoveEvent`, `DropOutEvent`, `DropOverEvent`, `EditCompleteEvent`, `EditCompleteEvent`, `EditFailedEvent`, `EventOverflowImgClickEvent`, `EventRepositionMove`, `EventRepositionStop`, `EventResizeMove`, `EventResizeStop`, `EventSaveError`, `EventsRenderedEvent`, `FacetAddedEvent`, `FacetContextClickEvent`, `FacetLabelClickEvent`, `FacetMovedEvent`, `FacetRemovedEvent`, `FacetValueContextClickEvent`, `FacetValueSelectionChangedEvent`, `FetchDataEvent`, `FieldStateChangedEvent`, `FilterChangedEvent`, `FilterEditorSubmitEvent`, `FilterSearchEvent`, `FixedFacetValueChangedEvent`, `FocusChangedEvent`, `FolderClickEvent`, `FolderClosedEvent`, `FolderContextClickEvent`, `FolderDropEvent`, `FolderOpenedEvent`, `FormSubmitFailedEvent`, `FormulaUpdated`, `GradientChangedEvent`, `GridRowColEvent`, `GroupByCompleteEvent`, `GroupByEvent`, `GroupStateChangedEvent`, `GroupTreeChangedEvent`, `HeaderClickEvent`, `HeaderDoubleClickEvent`, `HeaderHoverEvent`, `HilitesChangedEvent`, `HoverEvent`, `HoverHiddenEvent`, `IconClickEvent`, `ImageClickEvent`, `IndicatorClick`, `ItemChangedEvent`, `ItemChangeEvent`, `ItemClickEvent`, `ItemClickEvent`, `ItemKeyPressEvent`, `ItemResizedEvent`, `KeyDownEvent`, `KeyPressEvent`, `LaneFieldClickEvent`, `LeafClickEvent`, `LeafContextClickEvent`, `LegendClickEvent`, `LegendHoverEvent`, `ListPropertiesChangedEvent`, `MaximizeClickEvent`, `MembersChangedEvent`, `MenuIconClickEvent`, `MinimizeClickEvent`, `MouseDownEvent`, `MouseMoveEvent`, `MouseOutEvent`, `MouseOverEvent`, `MouseStillDownEvent`, `MouseUpEvent`, `MouseWheelEvent`, `MovedEvent`, `NavigationClickEvent`, `NodeClickEvent`, `NodeContextClickEvent`, `NodeSelectedEvent`, `OnSearchEvent`, `PaneChangedEvent`, `ParentMovedEvent`, `PercentChangedEvent`, `PreviewShownEvent`, `RecordClickEvent`, `RecordCollapseEvent`, `RecordContextClickEvent`, `RecordDoubleClickEvent`, `RecordDoubleClickEvent`, `RecordDropEvent`, `RecordExpandEvent`, `RecordNavigationClickEvent`, `RegroupEvent`, `RemoveRecordClickEvent`, `ResizedEvent`, `RestoreClickEvent`, `RightMouseDownEvent`, `RowEditorEnterEvent`, `RowEditorExitEvent`, `RuleContextChangedEvent`, `ScrolledEvent`, `SectionHeaderClickEvent`, `SectionHeaderTitleHoverEvent`, `SelectionChangedEvent`, `SelectionEvent`, `SelectionUpdatedEvent`, `SetSortEvent`, `ShowContextMenuEvent`, `SortByFacetIdEvent`, `SortByFacetValuesEvent`, `SorterClickEvent`, `SorterContextClickEvent`, `SortEvent`, `SubmitValuesEvent`, `TabClickEvent`, `TabCloseClickEvent`, `TabContextMenuEvent`, `TabDeselectedEvent`, `TabSelectedEvent`, `TabsReorderedEvent`, `TabTitleChangedEvent`, `TimeChangedEvent`, `TitleHoverEvent`, `ToggleValueChangedEvent`, `UpClickEvent`, `ValueChangedEvent`, `ValueClickEvent`, `ValuesChangedEvent`, `ValuesChangedEvent`, `ViewStateChangedEvent`, `VisibilityChangedEvent`, `ZoneClick`, `ZoomChangedEvent`

public abstract class BrowserEvent<H extends EventHandler> extends AbstractSmartEvent<H>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent

  `GwtEvent.Type<H extends Object>`

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.event.AbstractSmartEvent

  `jsObj`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `BrowserEvent(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final int`
  `getX()`
  `final int`
  `getY()`
  `final boolean`
  `isAltKeyDown()`
  `final boolean`
  `isCtrlKeyDown()`
  `final boolean`
  `isLeftButtonDown()`
  `final boolean`
  `isRightButtonDown()`

  ### Methods inherited from class com.smartgwt.client.event.AbstractSmartEvent

  `getFiringInstanceAsJavaScriptObject`

  ### Methods inherited from class com.google.gwt.event.shared.GwtEvent

  `assertLive, dispatch, getAssociatedType, getSource, isLive, kill, revive`

  ### Methods inherited from class com.google.web.bindery.event.shared.Event

  `setSource, toDebugString, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### BrowserEvent

    protected BrowserEvent(JavaScriptObject jsObj)

- ## Method Details

  - ### isAltKeyDown

    public final boolean isAltKeyDown()

  - ### isCtrlKeyDown

    public final boolean isCtrlKeyDown()

  - ### getX

    public final int getX()

  - ### getY

    public final int getY()

  - ### isLeftButtonDown

    public final boolean isLeftButtonDown()

  - ### isRightButtonDown

    public final boolean isRightButtonDown()